commit:     9b67eb1b1afa94c7654646434299bbcf9bc5371f
Author:     Patrick McLean <patrick.mclean <AT> sony <DOT> com>
AuthorDate: Wed Mar 20 01:11:54 2019 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Wed Mar 20 01:11:54 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9b67eb1b

sys-cluster/ceph: Version bump to 14.2.0

Copyright: Sony Interactive Entertainment Inc.
Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 sys-cluster/ceph/Manifest                          |   1 +
 sys-cluster/ceph/ceph-14.2.0.ebuild                | 334 +++++++++++++++++++++
 .../ceph/files/ceph-14.2.0-boost-sonames.patch     | 334 +++++++++++++++++++++
 sys-cluster/ceph/files/ceph-14.2.0-cflags.patch    |  13 +
 .../ceph/files/ceph-14.2.0-dpdk-cflags.patch       |  30 ++
 .../files/ceph-14.2.0-mgr-python-version.patch     |  17 ++
 .../ceph/files/ceph-14.2.0-no-automagic-tbb.patch  |  12 +
 .../ceph/files/ceph-14.2.0-no-virtualenvs.patch    |  54 ++++
 sys-cluster/ceph/metadata.xml                      |   2 +
 9 files changed, 797 insertions(+)

diff --git a/sys-cluster/ceph/Manifest b/sys-cluster/ceph/Manifest
index 5153037850a..84c0ec570bc 100644
--- a/sys-cluster/ceph/Manifest
+++ b/sys-cluster/ceph/Manifest
@@ -4,3 +4,4 @@ DIST ceph-12.2.11.tar.gz 79009034 BLAKE2B 
d8b1c188fe39603e90511eb436100ba14c0a9c
 DIST ceph-12.2.8.tar.gz 77243685 BLAKE2B 
37c34396a0c276b8d79735e14934ac70da024822c2a060061531c234e03e5d41aad6c41dc64b05c2ce47f03287d0cae9ef9bed67e4a0861b6380c8ce1de4ea69
 SHA512 
91c5c11aaeef701b3e31c9f8a1192b6b79fd34f3b96c61595c65173c98bfce0009c5b7c9b29764f5e4d4b1f5ac2ca7109fed5ae598c176aba717a34a132fabac
 DIST ceph-13.2.4.tar.gz 90910119 BLAKE2B 
eb395f435552d91789869bd92fee2a8b2fef155205f13b118bd01be4ff78a8e1dde682425a24311822bb819ec8cf41a9d45245ffa3cb7a921d3269f6658bf920
 SHA512 
5055979067234ad7fd2774007d524ef4643d968bf7ce42fc8c3f8e469fd84cbd7afc163cd6ddda53584bd5677fdea2fecf8194a378d49724504f639b9f688ff7
 DIST ceph-13.2.5.tar.gz 91006057 BLAKE2B 
68551e2f54d78aff7b0e9ec3c62e6a3394dd7c23e80924a5b400cd9666a05a42e5f22445deee4040f1b78201c6a6660b283109878d4c92d845821bff831c8a5e
 SHA512 
6daea524523f829e725609328ea71f416b2c3a9530fa8956720a7bc69dc08e55a169654f500704579dc9ba693f04eedd7e04614c0850e9ab1169cd45f19039f8
+DIST ceph-14.2.0.tar.gz 118882504 BLAKE2B 
e650d99dceb11c7b035480c8cdd9f63ee4a5f81ffea27988e180a2956433e3e4b34e496a73bf5992c428eff859311c623b92a6f006eb694ebf928d8204dc9b06
 SHA512 
c86a335714fd5678988133ec0e60cb10cd948250a133c073d1ed055c5bba232fa6f1e102dd7fcb0c70b37a07c9c2d1220d4a1713720e4dcab9659152ee577480

diff --git a/sys-cluster/ceph/ceph-14.2.0.ebuild 
b/sys-cluster/ceph/ceph-14.2.0.ebuild
new file mode 100644
index 00000000000..d754478c6d0
--- /dev/null
+++ b/sys-cluster/ceph/ceph-14.2.0.ebuild
@@ -0,0 +1,334 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python{2_7,3_{5,6,7}} )
+DISTUTILS_OPTIONAL=1
+
+inherit check-reqs bash-completion-r1 cmake-utils distutils-r1 flag-o-matic \
+               multiprocessing python-r1 udev user readme.gentoo-r1 
toolchain-funcs \
+               systemd
+
+if [[ ${PV} == *9999* ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/ceph/ceph.git";
+       SRC_URI=""
+else
+       SRC_URI="https://download.ceph.com/tarballs/${P}.tar.gz";
+       KEYWORDS="~amd64 ~x86"
+fi
+
+DESCRIPTION="Ceph distributed filesystem"
+HOMEPAGE="https://ceph.com/";
+
+LICENSE="LGPL-2.1 CC-BY-SA-3.0 GPL-2 BSD Boost-1.0 MIT"
+SLOT="0"
+
+CPU_FLAGS_X86=(sse{,2,3,4_1,4_2} ssse3)
+
+IUSE="babeltrace cephfs dpdk fuse grafana jemalloc kerberos ldap lttng +mgr"
+IUSE+=" rabbitmq +radosgw +ssl static-libs +system-boost systemd +tcmalloc"
+IUSE+=" test xfs zfs"
+IUSE+=" $(printf "cpu_flags_x86_%s\n" ${CPU_FLAGS_X86[@]})"
+
+# unbundling code commented out pending bugs 584056 and 584058
+#>=dev-libs/jerasure-2.0.0-r1
+#>=dev-libs/gf-complete-2.0.0
+COMMON_DEPEND="
+       virtual/libudev:=
+       app-arch/bzip2:=[static-libs?]
+       app-arch/lz4:=[static-libs?]
+       app-arch/snappy:=[static-libs?]
+       app-arch/zstd:=[static-libs?]
+       app-misc/jq:=[static-libs?]
+       dev-libs/crypto++:=[static-libs?]
+       dev-libs/leveldb:=[snappy,static-libs?,tcmalloc?]
+       dev-libs/libaio:=[static-libs?]
+       dev-libs/libxml2:=[static-libs?]
+       dev-libs/nss:=
+       sys-auth/oath-toolkit:=
+       sys-apps/keyutils:=[static-libs?]
+       sys-apps/util-linux:=[static-libs?]
+       sys-libs/ncurses:0=[static-libs?]
+       sys-libs/zlib:=[static-libs?]
+       babeltrace? ( dev-util/babeltrace )
+       ldap? ( net-nds/openldap:=[static-libs?] )
+       lttng? ( dev-util/lttng-ust:= )
+       fuse? ( sys-fs/fuse:0=[static-libs?] )
+       kerberos? ( virtual/krb5 )
+       rabbitmq? ( net-libs/rabbitmq-c:=[static-libs?] )
+       ssl? ( dev-libs/openssl:=[static-libs?] )
+       xfs? ( sys-fs/xfsprogs:=[static-libs?] )
+       zfs? ( sys-fs/zfs:=[static-libs?] )
+       radosgw? (
+               dev-libs/expat:=[static-libs?]
+               dev-libs/openssl:=[static-libs?]
+               net-misc/curl:=[curl_ssl_openssl,static-libs?]
+       )
+       system-boost? (
+               
>=dev-libs/boost-1.67:=[threads,context,python,static-libs?,${PYTHON_USEDEP}]
+       )
+       jemalloc? ( dev-libs/jemalloc:=[static-libs?] )
+       !jemalloc? ( >=dev-util/google-perftools-2.4:=[static-libs?] )
+       ${PYTHON_DEPS}
+       "
+DEPEND="${COMMON_DEPEND}
+       amd64? ( dev-lang/yasm )
+       x86? ( dev-lang/yasm )
+       dev-python/cython[${PYTHON_USEDEP}]
+       dev-python/sphinx
+       dev-util/cunit
+       test? (
+               dev-python/coverage[${PYTHON_USEDEP}]
+               dev-python/tox[${PYTHON_USEDEP}]
+               dev-python/virtualenv[${PYTHON_USEDEP}]
+               sys-apps/grep[pcre]
+               sys-fs/btrfs-progs
+       )
+       "
+BDEPEND="      app-arch/cpio
+       >=dev-util/cmake-3.5.0
+       dev-util/gperf
+       dev-util/valgrind
+       sys-apps/which
+       sys-devel/bc
+       virtual/pkgconfig
+       "
+RDEPEND="${COMMON_DEPEND}
+       net-misc/socat
+       sys-apps/gptfdisk
+       sys-block/parted
+       sys-fs/cryptsetup
+       sys-fs/lvm2
+       !<sys-apps/openrc-0.26.3
+       dev-python/bcrypt[${PYTHON_USEDEP}]
+       dev-python/cherrypy[${PYTHON_USEDEP}]
+       dev-python/flask[${PYTHON_USEDEP}]
+       dev-python/jinja[${PYTHON_USEDEP}]
+       dev-python/pecan[${PYTHON_USEDEP}]
+       dev-python/prettytable[${PYTHON_USEDEP}]
+       dev-python/pyopenssl[${PYTHON_USEDEP}]
+       dev-python/requests[${PYTHON_USEDEP}]
+       dev-python/werkzeug[${PYTHON_USEDEP}]
+       "
+REQUIRED_USE="
+       ${PYTHON_REQUIRED_USE}
+       || ( $(python_gen_useflags 'python3*') )
+       ?? ( jemalloc tcmalloc )
+       rabbitmq? ( radosgw )
+       "
+
+# the tests need root access
+RESTRICT="test? ( userpriv )"
+
+# distribution tarball does not include everything needed for tests
+RESTRICT+=" test"
+
+# false positives unless all USE flags are on
+CMAKE_WARN_UNUSED_CLI="no"
+
+STRIP_MASK="/usr/lib*/rados-classes/*"
+
+UNBUNDLE_LIBS=(
+       src/erasure-code/jerasure/jerasure
+       src/erasure-code/jerasure/gf-complete
+)
+
+PATCHES=(
+       "${FILESDIR}/ceph-12.2.0-use-provided-cpu-flag-values.patch"
+       "${FILESDIR}/ceph-14.2.0-cflags.patch"
+       "${FILESDIR}/ceph-12.2.4-boost-build-none-options.patch"
+       "${FILESDIR}/ceph-13.2.0-cflags.patch"
+       "${FILESDIR}/ceph-14.2.0-mgr-python-version.patch"
+       "${FILESDIR}/ceph-14.2.0-no-virtualenvs.patch"
+       "${FILESDIR}/ceph-13.2.2-dont-install-sysvinit-script.patch"
+       "${FILESDIR}/ceph-14.2.0-dpdk-cflags.patch"
+       "${FILESDIR}/ceph-14.2.0-no-automagic-tbb.patch"
+)
+
+# dpdk and ninja don't get along
+CMAKE_MAKEFILE_GENERATOR="emake"
+
+check-reqs_export_vars() {
+       if use amd64; then
+               CHECKREQS_DISK_BUILD="12G"
+               CHECKREQS_DISK_USR="460M"
+       else
+               CHECKREQS_DISK_BUILD="1400M"
+               CHECKREQS_DISK_USR="450M"
+       fi
+
+       export CHECKREQS_DISK_BUILD CHECKREQS_DISK_USR
+}
+
+user_setup() {
+       enewgroup ceph ${CEPH_GID}
+       enewuser ceph "${CEPH_UID:--1}" -1 /var/lib/ceph ceph
+}
+
+pkg_pretend() {
+       check-reqs_export_vars
+       check-reqs_pkg_pretend
+}
+
+pkg_setup() {
+       python_setup 'python3*'
+       check-reqs_export_vars
+       check-reqs_pkg_setup
+       user_setup
+}
+
+src_prepare() {
+       cmake-utils_src_prepare
+
+       if use system-boost; then
+               eapply "${FILESDIR}/ceph-14.2.0-boost-sonames.patch"
+       fi
+
+       sed -i -r "s:DESTINATION .+\\):DESTINATION $(get_bashcompdir)\\):" \
+               src/bash_completion/CMakeLists.txt || die
+
+       # remove tests that need root access
+       rm src/test/cli/ceph-authtool/cap*.t || die
+
+       #rm -rf "${UNBUNDLE_LIBS[@]}"
+}
+
+ceph_src_configure() {
+       local flag
+       local mycmakeargs=(
+               -DWITH_BABELTRACE=$(usex babeltrace)
+               -DWITH_CEPHFS=$(usex cephfs)
+               -DWITH_DPDK=$(usex dpdk)
+               -DWITH_FUSE=$(usex fuse)
+               -DWITH_LTTNG=$(usex lttng)
+               -DWITH_GSSAPI=$(usex kerberos)
+               -DWITH_GRAFANA=$(usex grafana)
+               -DWITH_MGR=$(usex mgr)
+               -DWITH_MGR_DASHBOARD_FRONTEND=NO
+               -DWITH_OPENLDAP=$(usex ldap)
+               -DWITH_RADOSGW=$(usex radosgw)
+               -DWITH_RADOSGW_AMQP_ENDPOINT=$(usex rabbitmq)
+               -DWITH_SSL=$(usex ssl)
+               -DWITH_SYSTEMD=$(usex systemd)
+               -DWITH_TESTS=$(usex test)
+               -DWITH_XFS=$(usex xfs)
+               -DWITH_ZFS=$(usex zfs)
+               -DENABLE_SHARED=$(usex static-libs '' 'ON' 'OFF')
+               -DALLOCATOR=$(usex tcmalloc 'tcmalloc' "$(usex jemalloc 
'jemalloc' 'libc')")
+               -DWITH_SYSTEM_BOOST=$(usex system-boost)
+               -DBOOST_J=$(makeopts_jobs)
+               -DWITH_RDMA=no
+               -DSYSTEMD_UNITDIR=$(systemd_get_systemunitdir)
+               -DEPYTHON_VERSION="${EPYTHON#python}"
+               -DCMAKE_INSTALL_DOCDIR="${EPREFIX}/usr/share/doc/${P}"
+               -DCMAKE_INSTALL_SYSCONFDIR="${EPREFIX}/etc"
+               -Wno-dev
+       )
+       if use amd64 || use x86; then
+               for flag in ${CPU_FLAGS_X86[@]}; do
+                       mycmakeargs+=("$(usex cpu_flags_x86_${flag} 
"-DHAVE_INTEL_${flag^^}=1")")
+               done
+       fi
+
+       rm -f "${BUILD_DIR:-${S}}/CMakeCache.txt"
+       cmake-utils_src_configure
+
+       # bug #630232
+       sed -i "s:\"${T//:\\:}/${EPYTHON}/bin/python\":\"${PYTHON}\":" \
+               "${BUILD_DIR:-${CMAKE_BUILD_DIR:-${S}}}"/include/acconfig.h \
+               || die "sed failed"
+}
+
+src_configure() {
+       ceph_src_configure
+}
+
+python_compile() {
+       local CMAKE_USE_DIR="${S}"
+       ceph_src_configure
+
+       pushd "${BUILD_DIR}/src/pybind" >/dev/null || die
+       emake VERBOSE=1 clean
+       emake VERBOSE=1 all
+
+       # python modules are only compiled with "make install" so we need to do 
this to
+       # prevent doing a bunch of compilation in src_install
+       DESTDIR="${T}" emake VERBOSE=1 install
+       popd >/dev/null || die
+}
+
+src_compile() {
+       cmake-utils_src_make VERBOSE=1 all
+
+       # we have to do this here to prevent from building everything multiple 
times
+       BUILD_DIR="${CMAKE_BUILD_DIR}" python_copy_sources
+       python_foreach_impl python_compile
+}
+
+src_test() {
+       make check || die "make check failed"
+}
+
+python_install() {
+       local CMAKE_USE_DIR="${S}"
+       pushd "${BUILD_DIR}/src/pybind" >/dev/null || die
+       DESTDIR="${ED}" emake install
+       popd >/dev/null || die
+}
+
+src_install() {
+       cmake-utils_src_install
+       python_foreach_impl python_install
+
+       find "${ED}" -name '*.la' -type f -delete || die
+
+       exeinto /usr/$(get_libdir)/ceph
+       newexe "${BUILD_DIR}/bin/init-ceph" init-ceph
+
+       insinto /etc/logrotate.d/
+       newins "${FILESDIR}"/ceph.logrotate-r2 ${PN}
+
+       keepdir /var/lib/${PN}{,/tmp} /var/log/${PN}/stat
+
+       fowners -R ceph:ceph /var/lib/ceph /var/log/ceph
+
+       newinitd "${FILESDIR}/rbdmap.initd" rbdmap
+       newinitd "${FILESDIR}/${PN}.initd-r11" ${PN}
+       newconfd "${FILESDIR}/${PN}.confd-r5" ${PN}
+
+       insinto /etc/sysctl.d
+       newins "${FILESDIR}"/sysctld 90-${PN}.conf
+
+       use tcmalloc && newenvd "${FILESDIR}"/envd-tcmalloc 99${PN}-tcmalloc
+
+       # units aren't installed by the build system unless systemd is enabled
+       # so no point installing these with the USE flag disabled
+       if use systemd; then
+               systemd_install_serviced "${FILESDIR}/ceph-mds_at.service.conf" 
\
+                       "[email protected]"
+
+               systemd_install_serviced "${FILESDIR}/ceph-osd_at.service.conf" 
\
+                       "[email protected]"
+       fi
+
+       udev_dorules udev/*.rules
+
+       readme.gentoo_create_doc
+
+       python_setup 'python3*'
+
+       # bug #630232
+       sed -i -r "s:${T//:/\\:}/${EPYTHON}:/usr:" "${ED}"/usr/bin/ceph \
+               || die "sed failed"
+
+       python_fix_shebang "${ED}"/usr/{,s}bin/
+
+       # python_fix_shebang apparently is not idempotent
+       sed -i -r  
's:(/usr/lib/python-exec/python[0-9]\.[0-9]/python)[0-9]\.[0-9]:\1:' \
+               "${ED}"/usr/sbin/{mount.fuse.ceph,ceph-volume{,-systemd}} || 
die "sed failed"
+}
+
+pkg_postinst() {
+       readme.gentoo_print_elog
+}

diff --git a/sys-cluster/ceph/files/ceph-14.2.0-boost-sonames.patch 
b/sys-cluster/ceph/files/ceph-14.2.0-boost-sonames.patch
new file mode 100644
index 00000000000..497d5953051
--- /dev/null
+++ b/sys-cluster/ceph/files/ceph-14.2.0-boost-sonames.patch
@@ -0,0 +1,334 @@
+diff --git a/CMakeLists.txt b/CMakeLists.txt
+index dbabecbe97..d12b696bb5 100644
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -640,7 +640,7 @@ set(BOOST_HEADER_COMPONENTS container)
+ 
+ if(WITH_MGR)
+   list(APPEND BOOST_COMPONENTS
+-    python${MGR_PYTHON_VERSION_MAJOR}${MGR_PYTHON_VERSION_MINOR})
++    python-${MGR_PYTHON_VERSION_MAJOR}.${MGR_PYTHON_VERSION_MINOR})
+ endif()
+ if(WITH_BOOST_CONTEXT)
+   list(APPEND BOOST_COMPONENTS context coroutine)
+diff --git a/cmake/modules/FindBoost.cmake b/cmake/modules/FindBoost.cmake
+index bfab4ca436..90ed0cbb17 100644
+--- a/cmake/modules/FindBoost.cmake
++++ b/cmake/modules/FindBoost.cmake
+@@ -1181,10 +1181,10 @@ endif()
+ # on all platforms to keep end user code free from platform dependent
+ # code.  Also provide convenience targets to disable autolinking and
+ # enable dynamic linking.
+-if(NOT TARGET Boost::diagnostic_definitions)
+-  add_library(Boost::diagnostic_definitions INTERFACE IMPORTED)
+-  add_library(Boost::disable_autolinking INTERFACE IMPORTED)
+-  add_library(Boost::dynamic_linking INTERFACE IMPORTED)
++if(NOT TARGET boost_diagnostic_definitions)
++  add_library(boost_diagnostic_definitions INTERFACE IMPORTED)
++  add_library(boost_disable_autolinking INTERFACE IMPORTED)
++  add_library(boost_dynamic_linking INTERFACE IMPORTED)
+ endif()
+ if(WIN32)
+   # In windows, automatic linking is performed, so you do not have
+@@ -1205,11 +1205,11 @@ if(WIN32)
+   # code to emit a #pragma message each time a library is selected
+   # for linking.
+   set(Boost_LIB_DIAGNOSTIC_DEFINITIONS "-DBOOST_LIB_DIAGNOSTIC")
+-  set_target_properties(Boost::diagnostic_definitions PROPERTIES
++  set_target_properties(boost_diagnostic_definitions PROPERTIES
+     INTERFACE_COMPILE_DEFINITIONS "BOOST_LIB_DIAGNOSTIC")
+-  set_target_properties(Boost::disable_autolinking PROPERTIES
++  set_target_properties(boost_disable_autolinking PROPERTIES
+     INTERFACE_COMPILE_DEFINITIONS "BOOST_ALL_NO_LIB")
+-  set_target_properties(Boost::dynamic_linking PROPERTIES
++  set_target_properties(boost_dynamic_linking PROPERTIES
+     INTERFACE_COMPILE_DEFINITIONS "BOOST_ALL_DYN_LINK")
+ endif()
+ 
+@@ -2018,52 +2018,52 @@ if(Boost_FOUND)
+   endif()
+ 
+   foreach(COMPONENT ${Boost_FIND_COMPONENTS})
+-    if(_Boost_IMPORTED_TARGETS AND NOT TARGET Boost::${COMPONENT})
++    if(_Boost_IMPORTED_TARGETS AND NOT TARGET boost_${COMPONENT})
+       string(TOUPPER ${COMPONENT} UPPERCOMPONENT)
+       if(Boost_${UPPERCOMPONENT}_FOUND)
+         if(Boost_USE_STATIC_LIBS)
+-          add_library(Boost::${COMPONENT} STATIC IMPORTED)
++          add_library(boost_${COMPONENT} STATIC IMPORTED)
+         else()
+           # Even if Boost_USE_STATIC_LIBS is OFF, we might have static
+           # libraries as a result.
+-          add_library(Boost::${COMPONENT} UNKNOWN IMPORTED)
++          add_library(boost_${COMPONENT} UNKNOWN IMPORTED)
+         endif()
+         if(Boost_INCLUDE_DIRS)
+-          set_target_properties(Boost::${COMPONENT} PROPERTIES
++          set_target_properties(boost_${COMPONENT} PROPERTIES
+             INTERFACE_INCLUDE_DIRECTORIES "${Boost_INCLUDE_DIRS}")
+         endif()
+         if(EXISTS "${Boost_${UPPERCOMPONENT}_LIBRARY}")
+-          set_target_properties(Boost::${COMPONENT} PROPERTIES
++          set_target_properties(boost_${COMPONENT} PROPERTIES
+             IMPORTED_LINK_INTERFACE_LANGUAGES "CXX"
+             IMPORTED_LOCATION "${Boost_${UPPERCOMPONENT}_LIBRARY}")
+         endif()
+         if(EXISTS "${Boost_${UPPERCOMPONENT}_LIBRARY_RELEASE}")
+-          set_property(TARGET Boost::${COMPONENT} APPEND PROPERTY
++          set_property(TARGET boost_${COMPONENT} APPEND PROPERTY
+             IMPORTED_CONFIGURATIONS RELEASE)
+-          set_target_properties(Boost::${COMPONENT} PROPERTIES
++          set_target_properties(boost_${COMPONENT} PROPERTIES
+             IMPORTED_LINK_INTERFACE_LANGUAGES_RELEASE "CXX"
+             IMPORTED_LOCATION_RELEASE 
"${Boost_${UPPERCOMPONENT}_LIBRARY_RELEASE}")
+         endif()
+         if(EXISTS "${Boost_${UPPERCOMPONENT}_LIBRARY_DEBUG}")
+-          set_property(TARGET Boost::${COMPONENT} APPEND PROPERTY
++          set_property(TARGET boost_${COMPONENT} APPEND PROPERTY
+             IMPORTED_CONFIGURATIONS DEBUG)
+-          set_target_properties(Boost::${COMPONENT} PROPERTIES
++          set_target_properties(boost_${COMPONENT} PROPERTIES
+             IMPORTED_LINK_INTERFACE_LANGUAGES_DEBUG "CXX"
+             IMPORTED_LOCATION_DEBUG 
"${Boost_${UPPERCOMPONENT}_LIBRARY_DEBUG}")
+         endif()
+         if(_Boost_${UPPERCOMPONENT}_DEPENDENCIES)
+           unset(_Boost_${UPPERCOMPONENT}_TARGET_DEPENDENCIES)
+           foreach(dep ${_Boost_${UPPERCOMPONENT}_DEPENDENCIES})
+-            list(APPEND _Boost_${UPPERCOMPONENT}_TARGET_DEPENDENCIES 
Boost::${dep})
++            list(APPEND _Boost_${UPPERCOMPONENT}_TARGET_DEPENDENCIES 
boost_${dep})
+           endforeach()
+           if(COMPONENT STREQUAL "thread")
+             list(APPEND _Boost_${UPPERCOMPONENT}_TARGET_DEPENDENCIES 
Threads::Threads)
+           endif()
+-          set_target_properties(Boost::${COMPONENT} PROPERTIES
++          set_target_properties(boost_${COMPONENT} PROPERTIES
+             INTERFACE_LINK_LIBRARIES 
"${_Boost_${UPPERCOMPONENT}_TARGET_DEPENDENCIES}")
+         endif()
+         if(_Boost_${UPPERCOMPONENT}_COMPILER_FEATURES)
+-          set_target_properties(Boost::${COMPONENT} PROPERTIES
++          set_target_properties(boost_${COMPONENT} PROPERTIES
+             INTERFACE_COMPILE_FEATURES 
"${_Boost_${UPPERCOMPONENT}_COMPILER_FEATURES}")
+         endif()
+       endif()
+diff --git a/src/CMakeLists.txt b/src/CMakeLists.txt
+index 1b1f19d464..21c222280f 100644
+--- a/src/CMakeLists.txt
++++ b/src/CMakeLists.txt
+@@ -353,12 +353,12 @@ set(ceph_common_objs
+ set(ceph_common_deps
+   json_spirit erasure_code arch crc32
+   ${LIB_RESOLV}
+-  Boost::thread
+-  Boost::system
+-  Boost::random
+-  Boost::program_options
+-  Boost::date_time
+-  Boost::iostreams
++  boost_thread
++  boost_system
++  boost_random
++  boost_program_options
++  boost_date_time
++  boost_iostreams
+   ${BLKID_LIBRARIES}
+   ${Backtrace_LIBRARIES}
+   ${BLKIN_LIBRARIES}
+@@ -518,7 +518,7 @@ if (WITH_CEPHFS)
+     ceph_mds.cc)
+   add_executable(ceph-mds ${ceph_mds_srcs})
+   target_link_libraries(ceph-mds mds ${CMAKE_DL_LIBS} global-static 
ceph-common
+-    Boost::thread)
++    boost_thread)
+   install(TARGETS ceph-mds DESTINATION bin)
+ endif()
+ 
+diff --git a/src/crimson/CMakeLists.txt b/src/crimson/CMakeLists.txt
+index d7b58521d4..e1533af33f 100644
+--- a/src/crimson/CMakeLists.txt
++++ b/src/crimson/CMakeLists.txt
+@@ -106,8 +106,8 @@ target_link_libraries(crimson-common
+   PRIVATE
+     crc32
+     crimson::cflags
+-    Boost::iostreams
+-    Boost::random
++    boost_iostreams
++    boost_random
+     ${NSS_LIBRARIES} ${NSPR_LIBRARIES} OpenSSL::Crypto)
+ 
+ set(crimson_auth_srcs
+diff --git a/src/mgr/CMakeLists.txt b/src/mgr/CMakeLists.txt
+index 252fb3e5e3..3f3823a68e 100644
+--- a/src/mgr/CMakeLists.txt
++++ b/src/mgr/CMakeLists.txt
+@@ -26,7 +26,7 @@ target_include_directories(ceph-mgr SYSTEM PRIVATE 
"${PYTHON_INCLUDE_DIRS}")
+ target_link_libraries(ceph-mgr
+   osdc client heap_profiler
+   global-static ceph-common
+-  Boost::python${MGR_PYTHON_VERSION_MAJOR}${MGR_PYTHON_VERSION_MINOR}
++  boost_python-${MGR_PYTHON_VERSION_MAJOR}.${MGR_PYTHON_VERSION_MINOR}
+   ${MGR_PYTHON_LIBRARIES} ${CMAKE_DL_LIBS} ${GSSAPI_LIBRARIES})
+ set_target_properties(ceph-mgr PROPERTIES
+   POSITION_INDEPENDENT_CODE ${EXE_LINKER_USE_PIE})
+diff --git a/src/rbd_replay/CMakeLists.txt b/src/rbd_replay/CMakeLists.txt
+index e9d3804c5f..5c6eb58de1 100644
+--- a/src/rbd_replay/CMakeLists.txt
++++ b/src/rbd_replay/CMakeLists.txt
+@@ -36,7 +36,7 @@ if(HAVE_BABELTRACE)
+     global
+     babeltrace
+     babeltrace-ctf
+-    Boost::date_time
++    boost_date_time
+     )
+   install(TARGETS rbd-replay-prep DESTINATION bin)
+ endif(HAVE_BABELTRACE)
+diff --git a/src/rgw/CMakeLists.txt b/src/rgw/CMakeLists.txt
+index ccc4f74cfe..854aa6e5e9 100644
+--- a/src/rgw/CMakeLists.txt
++++ b/src/rgw/CMakeLists.txt
+@@ -199,7 +199,7 @@ if(WITH_CURL_OPENSSL)
+ endif()
+ 
+ if(WITH_BOOST_CONTEXT)
+-  target_link_libraries(rgw_a PRIVATE Boost::coroutine Boost::context)
++  target_link_libraries(rgw_a PRIVATE boost_coroutine boost_context)
+ endif()
+ 
+ set(rgw_libs rgw_a)
+@@ -341,7 +341,7 @@ if(WITH_RADOSGW_AMQP_ENDPOINT)
+   target_link_libraries(rgw_admin_user PRIVATE RabbitMQ::RabbitMQ)
+ endif()
+ if(WITH_BOOST_CONTEXT)
+-  target_link_libraries(rgw_admin_user PRIVATE Boost::coroutine 
Boost::context)
++  target_link_libraries(rgw_admin_user PRIVATE boost_coroutine boost_context)
+ endif()
+ 
+ if(WITH_TESTS)
+diff --git a/src/test/CMakeLists.txt b/src/test/CMakeLists.txt
+index 20a64fd41b..a8bb323614 100644
+--- a/src/test/CMakeLists.txt
++++ b/src/test/CMakeLists.txt
+@@ -158,7 +158,7 @@ add_executable(ceph_omapbench
+   )
+ target_link_libraries(ceph_omapbench
+   librados
+-  Boost::program_options
++  boost_program_options
+   global
+   ${BLKID_LIBRARIES}
+   ${CMAKE_DL_LIBS}
+diff --git a/src/test/common/CMakeLists.txt b/src/test/common/CMakeLists.txt
+index 71fb77cda9..aff8fb6565 100644
+--- a/src/test/common/CMakeLists.txt
++++ b/src/test/common/CMakeLists.txt
+@@ -315,8 +315,8 @@ add_ceph_unittest(unittest_hobject)
+ 
+ add_executable(unittest_async_completion test_async_completion.cc)
+ add_ceph_unittest(unittest_async_completion)
+-target_link_libraries(unittest_async_completion Boost::system)
++target_link_libraries(unittest_async_completion boost_system)
+ 
+ add_executable(unittest_async_shared_mutex test_async_shared_mutex.cc)
+ add_ceph_unittest(unittest_async_shared_mutex)
+-target_link_libraries(unittest_async_shared_mutex ceph-common Boost::system)
++target_link_libraries(unittest_async_shared_mutex ceph-common boost_system)
+diff --git a/src/test/erasure-code/CMakeLists.txt 
b/src/test/erasure-code/CMakeLists.txt
+index 721f6c3675..1cd9635c77 100644
+--- a/src/test/erasure-code/CMakeLists.txt
++++ b/src/test/erasure-code/CMakeLists.txt
+@@ -2,15 +2,15 @@
+ add_executable(ceph_erasure_code_benchmark 
+   ${CMAKE_SOURCE_DIR}/src/erasure-code/ErasureCode.cc
+   ceph_erasure_code_benchmark.cc)
+-target_link_libraries(ceph_erasure_code_benchmark ceph-common 
Boost::program_options global ${CMAKE_DL_LIBS})
++target_link_libraries(ceph_erasure_code_benchmark ceph-common 
boost_program_options global ${CMAKE_DL_LIBS})
+ install(TARGETS ceph_erasure_code_benchmark
+   DESTINATION bin)
+ 
+ add_executable(ceph_erasure_code_non_regression 
ceph_erasure_code_non_regression.cc)
+-target_link_libraries(ceph_erasure_code_non_regression ceph-common 
Boost::program_options global ${CMAKE_DL_LIBS})
++target_link_libraries(ceph_erasure_code_non_regression ceph-common 
boost_program_options global ${CMAKE_DL_LIBS})
+ 
+ add_executable(ceph_erasure_code ceph_erasure_code.cc)
+-target_link_libraries(ceph_erasure_code ceph-common Boost::program_options 
global ${CMAKE_DL_LIBS})
++target_link_libraries(ceph_erasure_code ceph-common boost_program_options 
global ${CMAKE_DL_LIBS})
+ install(TARGETS ceph_erasure_code
+   DESTINATION bin)
+ 
+diff --git a/src/test/librados/CMakeLists.txt 
b/src/test/librados/CMakeLists.txt
+index 4fc53d2406..e6304394f8 100644
+--- a/src/test/librados/CMakeLists.txt
++++ b/src/test/librados/CMakeLists.txt
+@@ -62,7 +62,7 @@ add_executable(ceph_test_rados_api_asio asio.cc)
+ target_link_libraries(ceph_test_rados_api_asio global
+   librados ${UNITTEST_LIBS})
+ if(WITH_BOOST_CONTEXT)
+-  target_link_libraries(ceph_test_rados_api_asio Boost::coroutine 
Boost::context)
++  target_link_libraries(ceph_test_rados_api_asio boost_coroutine 
boost_context)
+ endif()
+ 
+ add_executable(ceph_test_rados_api_list
+@@ -132,7 +132,7 @@ add_executable(ceph_test_rados_api_tier_pp
+   tier_cxx.cc
+   $<TARGET_OBJECTS:unit-main>)
+ target_link_libraries(ceph_test_rados_api_tier_pp
+-  librados global ${UNITTEST_LIBS} Boost::system radostest-cxx)
++  librados global ${UNITTEST_LIBS} boost_system radostest-cxx)
+ 
+ add_executable(ceph_test_rados_api_snapshots
+   snapshots.cc)
+diff --git a/src/test/librbd/CMakeLists.txt b/src/test/librbd/CMakeLists.txt
+index 2bf6723c40..e99b8afa11 100644
+--- a/src/test/librbd/CMakeLists.txt
++++ b/src/test/librbd/CMakeLists.txt
+@@ -27,7 +27,7 @@ target_link_libraries(rbd_test PRIVATE
+   radostest
+   radostest-cxx
+   librados
+-  Boost::thread
++  boost_thread
+   GMock::GMock
+   GTest::GTest)
+ 
+diff --git a/src/test/rgw/CMakeLists.txt b/src/test/rgw/CMakeLists.txt
+index 9b2c6b6321..80e4cb7829 100644
+--- a/src/test/rgw/CMakeLists.txt
++++ b/src/test/rgw/CMakeLists.txt
+@@ -143,7 +143,7 @@ add_ceph_unittest(unittest_rgw_dmclock_scheduler)
+ target_link_libraries(unittest_rgw_dmclock_scheduler ${rgw_libs} dmclock)
+ if(WITH_BOOST_CONTEXT)
+   target_compile_definitions(unittest_rgw_dmclock_scheduler PRIVATE 
BOOST_COROUTINES_NO_DEPRECATION_WARNING)
+-  target_link_libraries(unittest_rgw_dmclock_scheduler Boost::coroutine 
Boost::context)
++  target_link_libraries(unittest_rgw_dmclock_scheduler boost_coroutine 
boost_context)
+ endif()
+ 
+ if(WITH_RADOSGW_AMQP_ENDPOINT)
+diff --git a/src/tools/CMakeLists.txt b/src/tools/CMakeLists.txt
+index d31f3d2408..6945018b11 100644
+--- a/src/tools/CMakeLists.txt
++++ b/src/tools/CMakeLists.txt
+@@ -35,20 +35,20 @@ install(PROGRAMS
+ endif(WITH_TESTS)
+ 
+ add_executable(ceph-osdomap-tool ceph_osdomap_tool.cc)
+-target_link_libraries(ceph-osdomap-tool os global Boost::program_options)
++target_link_libraries(ceph-osdomap-tool os global boost_program_options)
+ install(TARGETS ceph-osdomap-tool DESTINATION bin)
+ 
+ add_executable(ceph-monstore-tool
+   ceph_monstore_tool.cc
+   ../mgr/mgr_commands.cc)
+-target_link_libraries(ceph-monstore-tool os global Boost::program_options)
++target_link_libraries(ceph-monstore-tool os global boost_program_options)
+ install(TARGETS ceph-monstore-tool DESTINATION bin)
+ 
+ add_executable(ceph-objectstore-tool
+   ceph_objectstore_tool.cc
+   rebuild_mondb.cc
+   RadosDump.cc)
+-target_link_libraries(ceph-objectstore-tool osd os global 
Boost::program_options ${CMAKE_DL_LIBS})
++target_link_libraries(ceph-objectstore-tool osd os global 
boost_program_options ${CMAKE_DL_LIBS})
+ if(WITH_FUSE)
+   target_link_libraries(ceph-objectstore-tool ${FUSE_LIBRARIES})
+ endif(WITH_FUSE)

diff --git a/sys-cluster/ceph/files/ceph-14.2.0-cflags.patch 
b/sys-cluster/ceph/files/ceph-14.2.0-cflags.patch
new file mode 100644
index 00000000000..3a9f52c879b
--- /dev/null
+++ b/sys-cluster/ceph/files/ceph-14.2.0-cflags.patch
@@ -0,0 +1,13 @@
+diff --git a/cmake/modules/Distutils.cmake b/cmake/modules/Distutils.cmake
+index 5697dff85f..7fdcfe4112 100644
+--- a/cmake/modules/Distutils.cmake
++++ b/cmake/modules/Distutils.cmake
+@@ -61,7 +61,7 @@ function(distutils_add_cython_module name src)
+     CC="${PY_CC}"
+     CXX="${PY_CXX}"
+     LDSHARED="${PY_LDSHARED}"
+-    OPT=\"-DNDEBUG -g -fwrapv -O2 -w\"
++    OPT=\"-DNDEBUG -g -fwrapv -w\"
+     LDFLAGS=-L${CMAKE_LIBRARY_OUTPUT_DIRECTORY}
+     CYTHON_BUILD_DIR=${CMAKE_CURRENT_BINARY_DIR}
+     CEPH_LIBDIR=${CMAKE_LIBRARY_OUTPUT_DIRECTORY}

diff --git a/sys-cluster/ceph/files/ceph-14.2.0-dpdk-cflags.patch 
b/sys-cluster/ceph/files/ceph-14.2.0-dpdk-cflags.patch
new file mode 100644
index 00000000000..ab5d980cfbc
--- /dev/null
+++ b/sys-cluster/ceph/files/ceph-14.2.0-dpdk-cflags.patch
@@ -0,0 +1,30 @@
+diff --git a/cmake/modules/BuildDPDK.cmake b/cmake/modules/BuildDPDK.cmake
+index 12a831a8b1..a5485aa205 100644
+--- a/cmake/modules/BuildDPDK.cmake
++++ b/cmake/modules/BuildDPDK.cmake
+@@ -16,17 +16,14 @@ function(do_build_dpdk dpdk_dir)
+     set(arch "x86_64")
+     set(machine "default")
+     set(machine_tmpl "native")
+-    set(rte_cflags "-march=core2")
+   elseif(CMAKE_SYSTEM_PROCESSOR MATCHES "arm|ARM")
+     set(arch "arm")
+     set(machine "armv7a")
+     set(machine_tmpl "armv7a")
+-    set(rte_cflags "-march=armv7-a")
+   elseif(CMAKE_SYSTEM_PROCESSOR MATCHES "aarch64|AARCH64")
+     set(arch "arm64")
+     set(machine "armv8a")
+     set(machine_tmpl "armv8a")
+-    set(rte_cflags "-march=armv8-a+crc")
+   elseif(CMAKE_SYSTEM_PROCESSOR MATCHES "(powerpc|ppc)64")
+     set(arch "ppc_64")
+     set(machine "power8")
+@@ -35,7 +32,6 @@ function(do_build_dpdk dpdk_dir)
+     message(FATAL_ERROR "not able to build DPDK support: "
+       "unknown arch \"${CMAKE_SYSTEM_PROCESSOR}\"")
+   endif()
+-  set(dpdk_rte_CFLAGS "${rte_cflags}" CACHE INTERNAL "")
+   if(CMAKE_SYSTEM_NAME MATCHES "Linux")
+     set(execenv "linuxapp")
+   elseif(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")

diff --git a/sys-cluster/ceph/files/ceph-14.2.0-mgr-python-version.patch 
b/sys-cluster/ceph/files/ceph-14.2.0-mgr-python-version.patch
new file mode 100644
index 00000000000..e4502a608ec
--- /dev/null
+++ b/sys-cluster/ceph/files/ceph-14.2.0-mgr-python-version.patch
@@ -0,0 +1,17 @@
+diff --git a/src/pybind/CMakeLists.txt b/src/pybind/CMakeLists.txt
+index 664543172a..e74d73c084 100644
+--- a/src/pybind/CMakeLists.txt
++++ b/src/pybind/CMakeLists.txt
+@@ -62,12 +62,6 @@ foreach(python_version ${py_vers})
+ endforeach()
+ 
+ if(WITH_MGR)
+-  if(NOT WITH_PYTHON2 AND MGR_PYTHON_VERSION_MAJOR EQUAL 2)
+-    message(FATAL_ERROR "mgr plugins require python2 binding")
+-  elseif(NOT WITH_PYTHON3 AND MGR_PYTHON_VERSION_MAJOR EQUAL 3)
+-    message(FATAL_ERROR "mgr plugins require python3 binding")
+-  endif()
+-
+   if(USE_OPENSSL)
+     execute_process(
+       COMMAND ${PYTHON${PYTHON_VERSION}_EXECUTABLE} -c "import ssl; 
print('.'.join(map(str,ssl.OPENSSL_VERSION_INFO[0:3])))"

diff --git a/sys-cluster/ceph/files/ceph-14.2.0-no-automagic-tbb.patch 
b/sys-cluster/ceph/files/ceph-14.2.0-no-automagic-tbb.patch
new file mode 100644
index 00000000000..3e671a49098
--- /dev/null
+++ b/sys-cluster/ceph/files/ceph-14.2.0-no-automagic-tbb.patch
@@ -0,0 +1,12 @@
+diff --git a/cmake/modules/BuildRocksDB.cmake 
b/cmake/modules/BuildRocksDB.cmake
+index 69741f4601..8e7a9e30c3 100644
+--- a/cmake/modules/BuildRocksDB.cmake
++++ b/cmake/modules/BuildRocksDB.cmake
+@@ -39,6 +39,7 @@ function(build_rocksdb)
+   list(APPEND rocksdb_CMAKE_ARGS -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE})
+   list(APPEND rocksdb_CMAKE_ARGS -DFAIL_ON_WARNINGS=OFF)
+   list(APPEND rocksdb_CMAKE_ARGS -DUSE_RTTI=1)
++  list(APPEND rocksdb_CMAKE_ARGS -DWITH_TBB=NO)
+   CHECK_C_COMPILER_FLAG("-Wno-stringop-truncation" 
HAS_WARNING_STRINGOP_TRUNCATION)
+   if(HAS_WARNING_STRINGOP_TRUNCATION)
+     list(APPEND rocksdb_CMAKE_ARGS -DCMAKE_C_FLAGS="-Wno-stringop-truncation")

diff --git a/sys-cluster/ceph/files/ceph-14.2.0-no-virtualenvs.patch 
b/sys-cluster/ceph/files/ceph-14.2.0-no-virtualenvs.patch
new file mode 100644
index 00000000000..5647ac51674
--- /dev/null
+++ b/sys-cluster/ceph/files/ceph-14.2.0-no-virtualenvs.patch
@@ -0,0 +1,54 @@
+diff --git a/.gitignore b/.gitignore
+index 2c2afc282e..80c05ee2f0 100644
+--- a/.gitignore
++++ b/.gitignore
+@@ -13,10 +13,8 @@
+ *.swp
+ *.swo
+ *.tmp
+-*.orig
+ *.patch
+ !debian/patches/*.patch
+-*.rej
+ *.rpm
+ *.pyc
+ ceph.spec
+diff --git a/src/pybind/mgr/dashboard/CMakeLists.txt 
b/src/pybind/mgr/dashboard/CMakeLists.txt
+index 24a2efc9e2..b11d4d0303 100644
+--- a/src/pybind/mgr/dashboard/CMakeLists.txt
++++ b/src/pybind/mgr/dashboard/CMakeLists.txt
+@@ -2,7 +2,7 @@ set(MGR_DASHBOARD_VIRTUALENV 
${CEPH_BUILD_VIRTUALENV}/mgr-dashboard-virtualenv)
+ 
+ add_custom_target(mgr-dashboard-test-venv
+   COMMAND
+-  ${CMAKE_SOURCE_DIR}/src/tools/setup-virtualenv.sh 
--python=${MGR_PYTHON_EXECUTABLE} ${MGR_DASHBOARD_VIRTUALENV}
++  #${CMAKE_SOURCE_DIR}/src/tools/setup-virtualenv.sh 
--python=${MGR_PYTHON_EXECUTABLE} ${MGR_DASHBOARD_VIRTUALENV}
+   WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/src/pybind/mgr/dashboard
+   COMMENT "dashboard tests virtualenv is being created")
+ add_dependencies(tests mgr-dashboard-test-venv)
+@@ -14,9 +14,9 @@ function(add_npm_command)
+   set(multi_kw COMMAND DEPENDS)
+   cmake_parse_arguments(NC "${options}" "${single_kw}" "${multi_kw}" ${ARGN})
+   string(REPLACE ";" " " command "${NC_COMMAND}")
+-  if(NC_NODEENV)
+-    string(REGEX REPLACE "^(npm .*)$" ". 
${mgr-dashboard-nodeenv-dir}/bin/activate && \\1 && deactivate" command 
${command})
+-  endif()
++  #if(NC_NODEENV)
++  #  string(REGEX REPLACE "^(npm .*)$" ". 
${mgr-dashboard-nodeenv-dir}/bin/activate && \\1 && deactivate" command 
${command})
++  #endif()
+   string(REPLACE " " ";" command "${command}")
+   add_custom_command(
+     OUTPUT "${NC_OUTPUT}"
+@@ -41,9 +41,9 @@ else()
+ 
+   add_custom_command(
+     OUTPUT "${mgr-dashboard-nodeenv-dir}/bin/npm"
+-    COMMAND ${CMAKE_SOURCE_DIR}/src/tools/setup-virtualenv.sh 
--python=${MGR_PYTHON_EXECUTABLE} ${mgr-dashboard-nodeenv-dir}
+-    COMMAND ${mgr-dashboard-nodeenv-dir}/bin/pip install nodeenv
+-    COMMAND ${mgr-dashboard-nodeenv-dir}/bin/nodeenv -p --node=10.13.0
++      #COMMAND ${CMAKE_SOURCE_DIR}/src/tools/setup-virtualenv.sh 
--python=${MGR_PYTHON_EXECUTABLE} ${mgr-dashboard-nodeenv-dir}
++      #COMMAND ${mgr-dashboard-nodeenv-dir}/bin/pip install nodeenv
++      #COMMAND ${mgr-dashboard-nodeenv-dir}/bin/nodeenv -p --node=10.13.0
+     WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
+     COMMENT "dashboard nodeenv is being installed"
+   )

diff --git a/sys-cluster/ceph/metadata.xml b/sys-cluster/ceph/metadata.xml
index a483dc67c04..f1a3c5f5209 100644
--- a/sys-cluster/ceph/metadata.xml
+++ b/sys-cluster/ceph/metadata.xml
@@ -22,11 +22,13 @@
     <flag name="cephfs">Build support for cephfs, a POSIX compatible 
filesystem built on top of ceph</flag>
     <flag name="dpdk">Enable DPDK messaging</flag>
     <flag name="fuse">Build fuse client</flag>
+    <flag name="grafana">Install grafana dashboards</flag>
     <flag name="libatomic">Use libatomic instead of builtin atomic 
operations</flag>
     <flag name="libaio">Use libaio as asynchronous input/output library</flag>
     <flag name="lttng">Add support for LTTng</flag>
     <flag name="mgr">Build the ceph-mgr daemon</flag>
     <flag name="nss">Use <pkg>dev-libs/nss</pkg> for cryptography</flag>
+    <flag name="rabbitmq">Use rabbitmq-c to build rgw amqp push endpoint</flag>
     <flag name="radosgw">Add radosgw support</flag>
     <flag name="system-boost">Use system <pkg>dev-libs/boost</pkg> instead of 
the bundled one</flag>
     <flag name="xfs">Add xfs support</flag>

Reply via email to